image: python:3.12-alpine


doc:
  stage: build
  dependencies: []
  before_script:
  - apk add make
  - pip install -U -r docs/requirements.txt
  script:
  - cd docs ; make clean && make html epub ; cd -
  artifacts:
    when: always
    paths:
    - docs/build


release:
  stage: deploy
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  rules:
  - if: $CI_COMMIT_TAG # Run this job when a tag is created
  script:
  - echo "Creating release $CI_COMMIT_TAG..."
  release:
    tag_name: $CI_COMMIT_TAG
    description: "🔖 Version $CI_COMMIT_TAG automated release."


pages:
  stage: deploy
  needs:
  - job: doc
    artifacts: true
  script:
  - echo "Uploading html files to pages..."
  - mkdir public && mv docs/build/html/* public/
  artifacts:
    paths:
    - public
  only:
  - main
